Wordpress Themes - WP Forum at BFA
Click here to register or to donate.
Auto self-registration is not available here - far too many spammers. This forum has many, many backlinks and because of that there is an intense desire among spammers to drop their links here.

Wordpress Themes - WP Forum at BFA » WordPress Themes » Atahualpa 3 Wordpress theme »

General question about upgrade to 3.6.7


  #1  
Old May 30, 2011, 06:25 PM
azazure
 
25 posts · Jan 2011
Gilbert, AZ
I'm currently using 3.6.4 and have upgraded WP to 3.1.3 without any apparent problems. I have been reading about the major change upgrading to Atahualpa 3.6.7 though and am getting a little stressed over whether I should really do it or not. I'm relieved that the new version will now preserve my custom widget areas, but I have other dynamic php statements placed in the theme and I'm not certain where they should go if I have to now modify the theme files.

1. If I stay on version 3.6.4 will it quit working at some point? It works with WP 3.1.3, but say when we get to WP 3.2 will it then stop working? Are you gearing us up to make the switch because WP at some point is going to quit supporting dynamic php within the theme?

2. I am also making modifications to the theme's functions and comments php files which I have to re-do every time there's a theme upgrade, so I started researching child themes and have been following the threads on this forum. Now that I will be making changes to additional theme files to make up for the lack of dynamic php within the theme it would be very helpful to just add the customizations to a child theme and be done with it. I know Atahualpa will do 95% of what I need it to do within ATO, but I was wondering why I'm not able to put my additional functions, comments and now new theme file customizations within a child them - why can't we have the best of both worlds?

I love the theme, but am just a little freaked and have this desperate need to know why there's not a better way to do this. Thanks.
  #2  
Old May 30, 2011, 10:26 PM
lmilesw's Avatar
lmilesw
 
10,174 posts · Jul 2009
Central New York State USA
I have left some sites at 3.6.4 and moved others to 3.6.7. If you are working fine on 3.6.4 and need php functionality I would leave it there and I don't thing it will "break" with future WP upgrades bu that is never a certainty with any theme.

I have gotten around the lack of php functionality and the desire to not have to edit theme files in some cases by adding a widget area and using a php aware widget.
__________________
~Larry (CNY Web Designs)
This site should be a membership site since it so full of good stuff.
Please consider donating which gives you access to even more good stuff.
  #3  
Old May 30, 2011, 11:42 PM
azazure
 
25 posts · Jan 2011
Gilbert, AZ
Thanks lmilesw, it is re-assuring to know that a moderator is leaving some sites at 3.6.4 - I normally like to upgrade software but only when I get more functionality, not less. I know it's a WP thing so nothing against BFA / Atahualpa. It at least gives me more time to research and make a decision rather than worrying about everything crashing and burning with the next WP release. Now I need to figure out what a php aware widget is....
  #4  
Old May 31, 2011, 08:28 AM
lmilesw's Avatar
lmilesw
 
10,174 posts · Jul 2009
Central New York State USA
One such widget is here. I have not tested it but there are several like this. They let you run php code.
__________________
~Larry (CNY Web Designs)
This site should be a membership site since it so full of good stuff.
Please consider donating which gives you access to even more good stuff.

Bookmarks

Tags
3.6.7 upgrade, child theme, dynamic php

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes


Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] Atahualpa Version 3.4.2 and Wordpress 3.1.2 upgrade question ScottKarlins New Versions, & Updating 3 Apr 28, 2011 03:56 PM
General Question about versions Panda Atahualpa 3 Wordpress theme 1 Feb 7, 2011 04:22 AM
333 Upgrade Question jfrenaye New Versions, & Updating 14 Jun 18, 2009 06:48 AM
Dumb pre-upgrade question PrairieProg New Versions, & Updating 1 Dec 19, 2008 10:23 AM


All times are GMT -6. The time now is 05:23 AM.


Powered by vBulletin® Copyright ©2000 - 2018, Jelsoft Enterprises Ltd.